#import functions
import os

#create variables
create = 'y'
createPreset = 'n'
mer = 'n'
normal = 'n'
heightmap = 'n'

#RUN PROGRAM
#check for preset
if os.path.exists("texture_set_writer_preset.txt"):
    preset = True
else:
    createPreset = input('Would you like to create a preset? (y/n) ')
    if createPreset == 'y':
        mer = input('Add MER? (y/n) ')
        heightmap = input('Add Heightmap? (y/n) ')
        if heightmap == 'n':
            normal = input('Add Normal? (y/n) ')
        preset = True
    else:
        preset = False
#create file
while create != 'n':
    texture = input('Input texture name: ')
    if preset == False:
        mer = input('Add MER? (y/n) ')
        heightmap = input('Add Heightmap? (y/n) ')
        if heightmap == 'n':
            normal = input('Add Normal? (y/n) ')
    file = open(texture + '.texture_set.json', 'w')
    file.write('{\n\t"format_version": "1.16.100",\n\t"minecraft:texture_set": {\n\t\t"color": "mirror"')
    if mer == 'y':
        file.write(',\n\t\t"metalness_emissive_roughness": [ 255, 0, 0 ]')
    if heightmap == 'y':
        file.write(',\n\t\t"heightmap": "' + texture + '_heightmap"')
    if normal == 'y':
        file.write(',\n\t\t"normal": "' + texture + '_normal"')
    file.write('\n\t}\n}')
    file.close()
    print('Texture set for ' + texture + ' created.')
    create = input('\nCreate another texture set? (y/n) ')
